<?php

require '../connect.php';

// Retrieve POST data
$id = $_POST["id"];
$name = $_POST["name"];
$quantity = $_POST["quantity"];
$unit_price = $_POST["unit_price"];
$total_price = $_POST["total_price"];
$mode_of_payment = $_POST["mode_of_payment"];

// Prepare the UPDATE statement
$update_query = "UPDATE sales SET name=?, quantity=?, unit_price=?, total_price=?, mode_of_payment=? WHERE id=?";

// Initialize response array
$response = array();

// Prepare and bind parameters
$stmt = mysqli_prepare($con, $update_query);
if ($stmt) {
    mysqli_stmt_bind_param($stmt, "siiisi", $name, $quantity, $unit_price, $total_price, $mode_of_payment, $id);

    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        // Check if any rows were affected
        if (mysqli_stmt_affected_rows($stmt) > 0) {
            // Success response
            $response['success'] = true;
            $response['message'] = "Sales record updated successfully";
        } else {
            // No rows affected, possibly ID not found
            $response['success'] = false;
            $response['message'] = "Sales record not found";
        }
    } else {
        // Error response
        $response['success'] = false;
        $response['message'] = "Error: " . mysqli_stmt_error($stmt);
    }

    // Close the statement
    mysqli_stmt_close($stmt);
} else {
    // Error preparing the statement
    $response['success'] = false;
    $response['message'] = "Error: " . mysqli_error($con);
}

// Print JSON response
echo json_encode($response);

// Close database connection
mysqli_close($con);

?>
