<?php

require "../connect.php";

// Retrieve parameters from DELETE request
$product_name = $_POST["product_name"];

// Delete stock data from the database
$delete_query = "DELETE FROM stock WHERE name=?";
$stmt = mysqli_prepare($con, $delete_query);

if ($stmt) {
    // Bind parameters
    mysqli_stmt_bind_param($stmt, "s", $product_name);
    
    // Execute the query
    if (mysqli_stmt_execute($stmt)) {
        $response['success'] = true;
        $response['message'] = "Stock deleted successfully";
    } else {
        $response['success'] = false;
        $response['message'] = "Error: " . mysqli_stmt_error($stmt);
    }

    // Close statement
    mysqli_stmt_close($stmt);
} else {
    $response['success'] = false;
    $response['message'] = "Error: " . mysqli_error($con);
}

// Send response
echo json_encode($response);

// Close connection
mysqli_close($con);

?>

