<?php
require "../connect.php";

$flag = array('success' => 0, 'message' => '');

$username = isset($_POST['username']) ? $_POST['username'] : '';
$password = isset($_POST['password']) ? $_POST['password'] : '';

if (empty($username) || empty($password)) {
    $flag['message'] = "Username or password is empty";
    echo json_encode($flag);
    exit;
}

$query = "SELECT * FROM users WHERE username=? LIMIT 1";
$stmt = mysqli_prepare($con, $query);

if ($stmt) {
    mysqli_stmt_bind_param($stmt, "s", $username);

    if (mysqli_stmt_execute($stmt)) {
        $result = mysqli_stmt_get_result($stmt);

        if (mysqli_num_rows($result) > 0) {
            $user = mysqli_fetch_assoc($result);
            $stored_password_hash = $user['password'];

            if (password_verify($password, $stored_password_hash)) {
                $flag['success'] = 1;
                $flag['message'] = "Login successful";
                $flag['role'] = $user['role'];
                $flag['user_id']=$user['user_id'];
                $flag['store_id']=$user['store_id'];
            } else {
                $flag['message'] = "Username or password incorrect";
            }
        } else {
            $flag['message'] = "User not found";
        }
    } else {
        $flag['message'] = "Database query execution error: " . mysqli_error($con);
    }

    mysqli_stmt_close($stmt);
} else {
    $flag['message'] = "Database query preparation error";
}

mysqli_close($con);

echo json_encode($flag);
?>


