<?php
// Set headers

// Absolute path to the root directory
$root = '/home/vbxgpbvs/public_html/business_manager/';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
// Include database connection file and PHPMailer
require $root . 'connect.php'; 
require $root . 'PHPMailer/src/Exception.php';
require $root . 'PHPMailer/src/PHPMailer.php';
require $root . 'PHPMailer/src/SMTP.php';


$flag = array('success' => 0, 'message' => '');

$username = isset($_POST['username']) ? $_POST['username'] : '';

if (empty($username)) {
    $flag['message'] = "Username is empty";
    echo json_encode($flag);
    exit;
}

$query = "SELECT email FROM users WHERE username=? LIMIT 1";
$stmt = mysqli_prepare($con, $query);

if ($stmt) {
    mysqli_stmt_bind_param($stmt, "s", $username);

    if (mysqli_stmt_execute($stmt)) {
        $result = mysqli_stmt_get_result($stmt);

        if (mysqli_num_rows($result) > 0) {
            $user = mysqli_fetch_assoc($result);
            $email = $user['email'];

            if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
                $token = bin2hex(random_bytes(32)); 
                $expiry = date('Y-m-d H:i:s', strtotime('+1 hour')); 
                $expiry=strval($expiry);
                $update_query = "UPDATE users SET reset_token=?, reset_token_expiry=? WHERE username=?";
                $update_stmt = mysqli_prepare($con, $update_query);

                if ($update_stmt) {
                    mysqli_stmt_bind_param($update_stmt, "sss", $token, $expiry, $username);

                    if (mysqli_stmt_execute($update_stmt)) {
                        
                        $subject = "Password Reset Request";
                        $reset_link =  "https://technestsolutions.co.ke/business_manager/users/passwordresetform.php";  // Replace with your reset password page URL
                        $message =  "Hello,\n\nPlease click the following link to reset your password:\n\n$reset_link\n\nThis link will expire in 1 hour.";
                        $mail = new PHPMailer(false);
                        try {
                           // $mail->SMTPDebug = 1;
                            // Server settings
                            $mail->isSMTP();
                            $mail->Host = 'mail.technestsolutions.co.ke'; // Set the SMTP server to send through
                            $mail->SMTPAuth = true;
                            $mail->Username = 'esinti@technestsolutions.co.ke'; // SMTP username
                            $mail->Password = 'An50^ctT5pGK'; // SMTP password (your email account password)
                            $mail->SMTPSecure = 'ssl';
                            $mail->Port = 465; 

                            // Recipients
                            $mail->setFrom('esinti@technestsolutions.co.ke', 'Password Recovery');
                            $mail->addAddress('faithesinti@gmail.com'); // Add a recipient
                            //$mail->addReplyTo('reply@mailersend.com', 'Information');

                            // Content
                            $mail->isHTML(false); // Set email format to plain text
                            $mail->Subject = $subject;
                            $mail->Body    = $message;

                            $mail->send();
                            $flag['success'] = 1;
                            $flag['message'] = "Password reset instructions sent to your email";
                      } catch (Exception $e) {
                            $flag['message'] = "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
                            
                       } 
                      
                    } else {
                        $flag['message'] = "Database update error: " . mysqli_error($con);
                    }

                   // mysqli_stmt_close($update_stmt);
                } else {
                    $flag['message'] = "Database query preparation error: " . mysqli_error($con);
                }
            } else {
                $flag['message'] = "Invalid email address";
            }
        } else {
            $flag['message'] = "Username not found";
        }
    } else {
        $flag['message'] = "Database query execution error: " . mysqli_error($con);
    }

    //mysqli_stmt_close($stmt);
} else {
    $flag['message'] = "Database query preparation error: " . mysqli_error($con);
}

//mysqli_close($con);

echo json_encode($flag);
?>







